#!/bin/bash
echo + gaining root access &&
adb root &&

echo + Waiting for adb to come back up &&
adb wait-for-device &&

echo + remounting the system partition &&
adb remount &&
adb shell mount -o remount,rw /system &&

echo + Waiting for adb to come back up &&
adb wait-for-device &&

echo + Stopping b2g &&
adb shell stop b2g &&

echo + Installing new b2g &&
adb push b2g /system/b2g &&

echo + Uninstalling old RIL &&
adb shell rm -r /system/b2g/distribution/bundles/libqc_b2g_location &&
adb shell rm -r /system/b2g/distribution/bundles/libqc_b2g_ril &&

echo + Installing new RIL &&
adb push ril /system/b2g/distribution/bundles/

echo + Removing incompatible extensions &&
adb shell rm -r /system/b2g/distribution/bundles/liblge_b2g_extension > /dev/null &&

echo + Done installing gecko and RIL!

echo + Adjusting user.js &&
cat gaia/profile/user.js | sed -e "s/user_pref/pref/" > user.js &&

echo + Deleting any old gaia and profiles &&
adb shell rm -r /cache/* &&
adb shell rm -r /data/b2g/* &&
adb shell rm -r /data/local/webapps &&
adb shell rm -r /data/local/user.js &&
adb shell rm -r /data/local/permissions.sqlite* &&
adb shell rm -r /data/local/OfflineCache &&
adb shell rm -r /data/local/indexedDB &&
adb shell rm -r /data/local/debug_info_trigger &&
adb shell rm -r /system/b2g/webapps &&

echo + Installing new gaia webapps &&
adb shell mkdir -p /system/b2g/defaults/pref &&
adb push gaia/profile/webapps /system/b2g/webapps &&
adb push user.js /system/b2g/defaults/pref &&
adb push gaia/profile/settings.json /system/b2g/defaults &&

echo + Rebooting &&
adb shell sync &&
adb shell reboot &&

echo + Done


